//
//    Beam Position Monitor
//
//    Copyright 2010 Ilja Slepnev
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef BPMBOXPROPERTIES_H
#define BPMBOXPROPERTIES_H

#include <QString>

class BpmBoxProperties
{
public:
    BpmBoxProperties();
    static QString channelName(size_t n);
//    static QString boxName(int id);
    static QString boxPlacement(int id);
    static QString boxPlacement(const QString &label);
    static int getChannelIndex(int id, int c);
    static double timerFreq();
    static double timestampFreq();
    static double sampleFreq();
};

#endif // BPMBOXPROPERTIES_H
